diff -r e909207e9ff1 -r c3c22256cb61 libgui/languages/ja_JP.ts
--- a/libgui/languages/ja_JP.ts	Fri Mar 30 17:47:12 2018 -0400
+++ b/libgui/languages/ja_JP.ts	Sat Mar 31 14:34:30 2018 +0900
@@ -2920,50 +2926,52 @@
         <location line="+9"/>
         <location line="+11"/>
         <source>Create</source>
-        <translation type="unfinished">作成</translation>
+        <translation>作成</translation>
     </message>
     <message>
         <location line="-20"/>
         <location line="+268"/>
         <source>Cancel</source>
-        <translation type="unfinished"></translation>
+        <translation>キャンセル</translation>
     </message>
     <message>
         <location line="-262"/>
         <source>File
 %1
 does not exist. Do you want to create it?</source>
-        <translation type="unfinished"></translation>
+        <translation>ファイル
+%1
+が存在しません． 作成しますか ?</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Octave Editor</source>
-        <translation type="unfinished">Octave エディタ</translation>
+        <translation>Octave エディタ</translation>
     </message>
     <message>
         <location line="+252"/>
         <source>The file %1 does not exist in the load path.  To run or debug the function you are editing, you must either change to the directory %2 or add that directory to the load path.</source>
-        <translation type="unfinished">ファイル %1 がロードパスに存在しません．編集している関数を実行またはデバッグするためには，ディレクトリを変更するかロードパスにディレクトリを加えてください．</translation>
+        <translation>ファイル %1 がロードパスに存在しません．編集している関数を実行またはデバッグするためには，ディレクトリを変更するかロードパスにディレクトリを加えてください．</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>The file %1 is shadowed by a file with the same name in the load path. To run or debug the function you are editing, change to the directory %2.</source>
-        <translation type="unfinished">ファイル %1 がロードパスに存在する同名のファイルでシャドウされています．編集している関数を実行またはデバッグするためには，ディレクトリを %2 に変更してください．</translation>
+        <translation>ファイル %1 がロードパスに存在する同名のファイルでシャドウされています．編集している関数を実行またはデバッグするためには，ディレクトリを %2 に変更してください．</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Change Directory or Add Directory to Load Path</source>
-        <translation type="unfinished">ディレクトリの変更またはロードパスへのディレクトリの追加</translation>
+        <translation>ディレクトリの変更またはロードパスへのディレクトリの追加</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>&amp;Change Directory</source>
-        <translation type="unfinished"></translation>
+        <translation>ディレクトリの変更 (&amp;C) </translation>
     </message>
     <message>
         <location line="+1"/>
         <source>&amp;Add Directory to Load Path</source>
-        <translation type="unfinished"></translation>
+        <translation>ロードパスにディレクトリを追加 (&amp;A)</translation>
     </message>
 </context>
 <context>
@@ -2971,7 +2979,7 @@
     <message>
         <location filename="../src/m-editor/octave-txt-lexer.cc" line="+40"/>
         <source>Default</source>
-        <translation type="unfinished">既定</translation>
+        <translation>既定</translation>
     </message>
 </context>
 <context>
@@ -2985,7 +2993,7 @@
 %2
 
 Octave GUI must be closed now.</source>
-        <translation type="unfinished">設定ファイル
+        <translation>設定ファイル
 %1
 が存在せずまた作成もできません．
 次に対する読込，書込の許可を確認してください．
@@ -2996,7 +3004,7 @@
     <message>
         <location line="+5"/>
         <source>Octave Critical Error</source>
-        <translation type="unfinished">Octave クリティカルエラー</translation>
+        <translation>Octave クリティカルエラー</translation>
     </message>
 </context>
 <context>
@@ -3004,22 +3012,22 @@
     <message>
         <location filename="../src/welcome-wizard.cc" line="+42"/>
         <source>Community News</source>
-        <translation type="unfinished">コミュニティーニュース</translation>
+        <translation>コミュニティーニュース</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Previous</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Next</source>
-        <translation type="unfinished">次</translation>
+        <translation>次</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cancel</source>
-        <translation type="unfinished"></translation>
+        <translation>キャンセル</translation>
     </message>
     <message>
         <location line="+7"/>
@@ -3029,7 +3037,12 @@
 &lt;p&gt;You may also view the news by selecting the &quot;Community News&quot; item in the &quot;Help&quot; menu, or by visiting
 &lt;a href=&quot;https://octave.org/community-news.html&quot;&gt;https://octave.org/community-news.html&lt;/a&gt;.&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished"></translation>
+        <translation>&lt;p&gt;Octave 起動時，Octave コミュニティの現在のニュースや情報をオプションで検索します．
+このチェックは一日一回で最後のニュースをみた時点からなにかあたらしいニュースが存在する場合のみ表示されます．&lt;/p&gt;
+&lt;p&gt;ニュースは &quot;ヘルプ&quot; メニュー内の &quot;コミュニティ ニュース&quot; の項目を選択するかまたは in  
+&lt;a href=&quot;https://octave.org/community-news.html&quot;&gt;https://octave.org/community-news.html&lt;/a&gt;　を訪問したときに表示されます.&lt;/p&gt;
+&lt;/body&gt;&lt;/html&gt;
+</translation>
     </message>
     <message>
         <location line="+28"/>
@@ -3040,7 +3053,7 @@
 &lt;head/&gt;&lt;body&gt;
 &lt;p&gt;Allow Octave to connect to the Octave web site when it starts to display current news and information about the Octave community.&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;head&gt;
+        <translation>&lt;html&gt;&lt;head&gt;
 &lt;style&gt;
 a:link { text-decoration: underline; color: #0000ff; }
 &lt;/style&gt;
@@ -3054,7 +3067,7 @@
     <message>
         <location filename="../src/shortcut-manager.cc" line="+131"/>
         <source>Double Shortcut</source>
-        <translation type="unfinished"></translation>
+        <translation>ダブルショートカット</translation>
     </message>
     <message>
         <location line="+1"/>
@@ -3063,7 +3076,7 @@
 is already used for the action
   &quot;%2&quot;.
 Do you want to use the shortcut anyhow removing it from the previous action?</source>
-        <translation type="unfinished">選択されたショートカット
+        <translation>選択されたショートカット
   &quot;%1&quot;
 はすでにアクション &quot;%2&quot; として使用されています．
 以前のアクションショートカットを削除して実行しますか?</translation>
@@ -3071,259 +3084,259 @@
     <message>
         <location line="+102"/>
         <source>New File</source>
-        <translation type="unfinished">新規ファイル</translation>
+        <translation>新規ファイル</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>New Function</source>
-        <translation type="unfinished"></translation>
+        <translation>新規関数</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>New Figure</source>
-        <translation type="unfinished">新規のフィギュア</translation>
+        <translation>新規のフィギュア</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Open File</source>
-        <translation type="unfinished">ファイルを開く</translation>
+        <translation>ファイルを開く</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Load Workspace</source>
-        <translation type="unfinished"></translation>
+        <translation>ワークスペースをロード</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Save Workspace As</source>
-        <translation type="unfinished">ワークスペースを別名で保存</translation>
+        <translation>ワークスペースを別名で保存</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Exit Octave</source>
-        <translation type="unfinished">Octave の終了</translation>
+        <translation>Octave の終了</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy</source>
-        <translation type="unfinished">コピー</translation>
+        <translation>コピー</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Paste</source>
-        <translation type="unfinished">貼り付け</translation>
+        <translation>貼り付け</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Undo</source>
-        <translation type="unfinished">元に戻す</translation>
+        <translation>元に戻す</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Select All</source>
-        <translation type="unfinished"></translation>
+        <translation>すべてを選択</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Clear Clipboard</source>
-        <translation type="unfinished">クリップボードをクリア</translation>
+        <translation>クリップボードをクリア</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Find in Files</source>
-        <translation type="unfinished">複数のファイルで検索</translation>
+        <translation>複数のファイルで検索</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Clear Command Window</source>
-        <translation type="unfinished">コマンドウィンドウのクリア</translation>
+        <translation>コマンドウィンドウのクリア</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Clear Command History</source>
-        <translation type="unfinished">コマンドヒストリのクリア</translation>
+        <translation >コマンドヒストリのクリア</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Clear Workspace</source>
-        <translation type="unfinished">ワークスペースのクリア</translation>
+        <translation>ワークスペースのクリア</translation>
     </message>
     <message>
         <location line="+1"/>
         <location line="+162"/>
         <source>Preferences</source>
-        <translation type="unfinished">設定</translation>
+        <translation>設定</translation>
     </message>
     <message>
         <location line="-159"/>
         <source>Step</source>
-        <translation type="unfinished">ステップ</translation>
+        <translation>ステップ</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Step Into</source>
-        <translation type="unfinished">ステップイン</translation>
+        <translation>ステップイン</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Step Out</source>
-        <translation type="unfinished">ステップアウト</translation>
+        <translation>ステップアウト</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Continue</source>
-        <translation type="unfinished">継続</translation>
+        <translation>継続</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Quit Debug Mode</source>
-        <translation type="unfinished"></translation>
+        <translation>デバッグモードの終了</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Show Command Window</source>
-        <translation type="unfinished"></translation>
+        <translation>コマンドウィンドウの表示</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Command History</source>
-        <translation type="unfinished">コマンドヒストリの表示</translation>
+        <translation>コマンドヒストリの表示</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show File Browser</source>
-        <translation type="unfinished"></translation>
+        <translation>ファイルブラウザの表示</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Workspace</source>
-        <translation type="unfinished">ワークスペースの表示</translation>
+        <translation>ワークスペースの表示</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Editor</source>
-        <translation type="unfinished">エディタの表示</translation>
+        <translation>エディタの表示</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Documentation</source>
-        <translation type="unfinished">ドキュメントの表示</translation>
+        <translation>ドキュメントの表示</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>変数エディタの表示</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Command Window</source>
-        <translation type="unfinished">コマンドウィンドウ</translation>
+        <translation>コマンドウィンドウ</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Command History</source>
-        <translation type="unfinished">コマンドヒストリ</translation>
+        <translation>コマンドヒストリ</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>File Browser</source>
-        <translation type="unfinished">ファイルブラウザ</translation>
+        <translation>ファイルブラウザ</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Workspace</source>
-        <translation type="unfinished">ワークスペース</translation>
+        <translation>ワークスペース</translation>
     </message>
     <message>
         <location line="+2"/>
         <location line="+258"/>
         <source>Editor</source>
-        <translation type="unfinished">エディタ</translation>
+        <translation>エディタ</translation>
     </message>
     <message>
         <location line="-256"/>
         <source>Documentation</source>
-        <translation type="unfinished">ドキュメント</translation>
+        <translation>ドキュメント</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>変数エディタ</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Reset Default Window Layout</source>
-        <translation type="unfinished">既定のウィンドウのレイアウト</translation>
+        <translation>既定のウィンドウのレイアウトをリセット</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Ondisk Documentation</source>
-        <translation type="unfinished">ディスク保存のドキュメントの表示</translation>
+        <translation>ディスク保存のドキュメントの表示</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Show Online Documentation</source>
-        <translation type="unfinished">オンラインドキュメントの表示</translation>
+        <translation>オンラインドキュメントの表示</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Report Bug</source>
-        <translation type="unfinished">バグの報告</translation>
+        <translation>バグの報告</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Octave Packages</source>
-        <translation type="unfinished">Octave パッケージ</translation>
+        <translation>Octave パッケージ</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Contribute to Octave</source>
-        <translation type="unfinished">Octave への貢献</translation>
+        <translation>Octave への貢献</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Octave Developer Resources</source>
-        <translation type="unfinished">Octave 開発チーム</translation>
+        <translation>Octave 開発チーム</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>About Octave</source>
-        <translation type="unfinished">Octave について</translation>
+        <translation>Octave について</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Release Notes</source>
-        <translation type="unfinished">リリースノート</translation>
+        <translation>リリースノート</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Community News</source>
-        <translation type="unfinished">コミュニティーニュース</translation>
+        <translation>コミュニティーニュース</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Close Tab</source>
-        <translation type="unfinished"></translation>
+        <translation>タブを閉じる</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Close All Tabs</source>
-        <translation type="unfinished"></translation>
+        <translation>すべてのタブを閉じる</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Close Other Tabs</source>
-        <translation type="unfinished"></translation>
+        <translation>他のタブを閉じる</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Switch to Left Tab</source>
-        <translation type="unfinished">左タブに切替</translation>
+        <translation>左タブに切替</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Switch to Right Tab</source>
-        <translation type="unfinished">右タブに切替</translation>
+        <translation>右タブに切替</translation>
     </message>
     <message>
         <location line="+2"/>
